import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import 'package:f0ckapp/mediagrid.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  await SystemChrome.setPreferredOrientations([DeviceOrientation.portraitUp]);
  runApp(const F0ckApp());
}

class F0ckApp extends StatelessWidget {
  const F0ckApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      theme: ThemeData(
        scaffoldBackgroundColor: const Color.fromARGB(255, 23, 23, 23),
      ),
      home: Scaffold(
        body: MediaGrid(),
      ),
    );
  }
}
